EditableOMPoly.OMPolyUndoEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class EditableOMPoly.OMPolyUndoEvent

    java.lang.Object
      com.bbn.openmap.omGraphics.EditableOMGraphic.OMGraphicUndoEvent
          com.bbn.openmap.omGraphics.EditableOMPoly.OMPolyUndoEvent

All Implemented Interfaces:
  UndoEvent

Enclosing class:
  EditableOMPoly

    public static class EditableOMPoly.OMPolyUndoEvent

extends EditableOMGraphic.OMGraphicUndoEvent
implements UndoEvent

Subclass for undoing edits for OMPoly classes, handles enclose/unenclose events.

Author:
  ddietrick

Field Summary
`protected boolean` | `enclosed`

Fields inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic.OMGraphicUndoEvent
`description, eomg, stateHolder`

Constructor Summary
`EditableOMPoly.OMPolyUndoEvent(EditableOMPoly eomp, java.lang.String description)`

Method Summary
`protected void` | `setSubclassState()` Called from setState before repaint() is called, so subclasses can update anything in their EditableOMGraphic state for the restored OMGraphic.

Methods inherited from class com.bbn.openmap.omGraphics.EditableOMGraphic.OMGraphicUndoEvent
`getDescription, getEomg, getStateHolder, setDescription, setState, setStateHolder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.event.UndoEvent
`getDescription, setState`

Field Detail

### enclosed

    protected boolean enclosed

Constructor Detail

### EditableOMPoly.OMPolyUndoEvent

    public EditableOMPoly.OMPolyUndoEvent(EditableOMPoly eomp,
                                          java.lang.String description)

Method Detail

### setSubclassState

    protected void setSubclassState()

  Description copied from class: `EditableOMGraphic.OMGraphicUndoEvent`
  Called from setState before repaint() is called, so subclasses can update anything in their EditableOMGraphic state for the restored OMGraphic.

  Overrides:
    `setSubclassState` in class `EditableOMGraphic.OMGraphicUndoEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details